Skip to main content
`Ctrl`+`K`

# NEPApplyJacobian

Applies the nonlinear Jacobian \(T'(\lambda)\) to a given vector.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPApplyJacobian(NEP nep,PetscScalar lambda,Vec x,Vec v,Vec y,Mat A)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- lambda - scalar argument

- x - vector to be multiplied against

- v - workspace vector (used only in the case of split form)

## Output Parameters

- y - result vector

- A - (optional) Jacobian matrix, for callback interface only

## Note

If the nonlinear operator is represented in split form, the result \(y = T'(\lambda)x\) is computed without building \(T'(\lambda)\) explicitly. In that case, parameter `A` is not used. Otherwise, the matrix \(T'(\lambda)\) is built and the effect is the same as a call to `NEPComputeJacobian()` followed by a `MatMult()`.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetSplitOperator()`, `NEPComputeJacobian()`

## Level

developer

## Location

src/nep/interface/nepsolve.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages